#!/bin/bash

sslV=$1
host=$2
port=$3
user=$4
pass=$5
repo=$6
currentTime=$(date +%m%d%Y%H%M%S)

echo "TIMESTAMP=$currentTime" > /tmp/rpmupdate_timestamp.log
if [ $host ] && [ $port ] && [ -z $user ] && [ -z $pass ]; then
	export http_proxy=http://$host:$port/
	export https_proxy=https://$host:$port/
fi

if [ $host ] && [ $port ] && [ $user ] && [ $pass ]; then
	export http_proxy=http://$user:$pass@$host:$port/
	export https_proxy=https://$user:$pass@$host:$port/
fi

sleep 5
echo Bye bye HTTPD
/sbin/service httpd stop >& /usr/share/tomcatSpectre/logs/rpmupdate_$currentTime.log
echo Now trying a yum update
# ensure /boot is mounted so that kernel updates go through successfully
mount /boot
/usr/bin/yum clean all >> /usr/share/tomcatSpectre/logs/rpmupdate_$currentTime.log 2>&1

if [ "$sslV" == "true" ]; 
then
	echo enabling ssl check
	yum-config-manager --save --setopt=Dell_VC_Plugin.sslverify=true
	yum-config-manager --save --setopt=Dell_VC_Platform.sslverify=true
else 
	if [ "$sslV" == "false" ]; then
		echo skipping ssl check
		yum-config-manager --save --setopt=Dell_VC_Plugin.sslverify=false
		yum-config-manager --save --setopt=Dell_VC_Platform.sslverify=false
	fi
fi

if [ -z "$repo" ] || [ "$repo" = "plugin" ]; then
   /usr/bin/yum -y --disablerepo="*" --enablerepo="Dell_VC_Plugin" update >> /usr/share/tomcatSpectre/logs/rpmupdate_plugin_$currentTime.log 2>&1
fi
if [ "$repo" = "platform" ]; then
   /usr/bin/yum -y --disablerepo="*" --enablerepo="Dell_VC_Platform" update >> /usr/share/tomcatSpectre/logs/rpmupdate_platform_$currentTime.log 2>&1
   /usr/bin/yum -y erase tftp-server >> /usr/share/tomcatSpectre/logs/rpmupdate_platform_$currentTime.log 2>&1
   
fi

echo REBOOTING
rm -f /var/lock/subsys/spectreboot
rm -f /etc/sysconfig/spectreboot
sleep 1
/sbin/reboot now 
